Page MenuHomePhabricator

Finish refactoring/implementing tweaked settings workflow
Closed, ResolvedPublic

Description

AC

Event Timeline

phuedx created this task.Dec 2 2016, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2016, 6:08 PM

Change 325283 had a related patch set uploaded (by Phuedx):
Add minimal eventLogging reducer

https://gerrit.wikimedia.org/r/325283

Change 325284 had a related patch set uploaded (by Phuedx):
Hygiene: Extract shared stub user object

https://gerrit.wikimedia.org/r/325284

Change 325285 had a related patch set uploaded (by Phuedx):
Include user's edit count in BOOT action

https://gerrit.wikimedia.org/r/325285

Change 325286 had a related patch set uploaded (by Phuedx):
Include user's preview count in BOOT action

https://gerrit.wikimedia.org/r/325286

Change 325287 had a related patch set uploaded (by Phuedx):
Increment preview count

https://gerrit.wikimedia.org/r/325287

phuedx added a comment.Dec 5 2016, 6:09 PM

Wrong task ID…

bmansurov added a comment.EditedDec 8 2016, 10:49 PM

Any updates here, @jhobs?

Change 326402 had a related patch set uploaded (by Jhobs):
Settings dialog

https://gerrit.wikimedia.org/r/326402

Any updates here, @jhobs?

Sorry @bmansurov, I missed this comment initially. Settings stuff is up and looking good, likely to be +2'd into the feature branch today.

Change 326402 merged by jenkins-bot:
Settings dialog

https://gerrit.wikimedia.org/r/326402

Change 326419 had a related patch set uploaded (by Jhernandez):
Re-introduce Settings dialog

https://gerrit.wikimedia.org/r/326419

Thanks for the update, @jhobs!

Change 326419 abandoned by Jhernandez:
Re-introduce Settings dialog

Reason:
Abandoning.

This patch is being re-introduce as a series of smaller focused commits with better tests at https://gerrit.wikimedia.org/r/#/c/326512/ and the followup commits.

https://gerrit.wikimedia.org/r/326419

phuedx reassigned this task from • jhobs to Jhernandez.Dec 13 2016, 9:52 AM